VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - g -

- g1 : DegradeProcessor
- g2 : DegradeProcessor
- g3 : DegradeProcessor
- gai : DeEsserProcessor , RePsychoProcessor
- gain : LimiterProcessor , LoudnessProcessor , OverdriveProcessor , DitherProcessor , LeslieProcessor
- gain1 : BandistoProcessor , MultiBandProcessor
- gain2 : BandistoProcessor , MultiBandProcessor
- gain3 : MultiBandProcessor , BandistoProcessor
- gatt : DynamicsProcessor
- genv : DynamicsProcessor
- getActiveVoices() : VoiceProcessor
- getBusArrangement() : HostCheckerProcessor
- getCurrentExchangeData() : HostCheckerProcessor
- getCurrentProgram() : Processor , DX10Processor , EPianoProcessor , JX10Processor , PianoProcessor
- getDefaultMessageText() : AGainController
- getEventLogger() : HostCheck
- getEventLogs() : HostCheck
- getFactory() : VstModule
- getInfo() : ProxyParameter
- getKeyswitchCount() : HostCheckerController
- getKeyswitchInfo() : HostCheckerController
- getLatencySamples() : HostCheckerProcessor
- getLogEvents() : EventLogDataBrowserSource , EventLogger
- getMidiControllerAssignment() : AGainController , HostCheckerController , BaseController , Controller
- getName() : TestSuite , Validator
- getNoteExpressionCount() : HostCheckerController , Controller , PlugController
- getNoteExpressionInfo() : HostCheckerController , Controller , PlugController
- getNoteExpressionStringByValue() : HostCheckerController , Controller , PlugController
- getNoteExpressionValueByString() : HostCheckerController , Controller , PlugController
- getNoteId() : VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage >
- getNumPrograms() : Processor , DX10Processor , EPianoProcessor , JX10Processor , PianoProcessor
- getParameterIDFromFunctionName() : HostCheckerController
- getParameters() : BaseController
- getParamStringByValue() : AGainController , BandistoController , BeatBoxController , DegradeController , DelayController , DetuneController , DitherController , DubDelayController , DX10Controller , DynamicsController , EPianoController , JX10Controller , LeslieController , LimiterController , LoudnessController , MultiBandController , OverdriveController , PianoController , RePsychoController , RezFilterController , RingModController , RoundPanController , ShepardController , SplitterController , StereoController , SubSynthController , TalkBoxController , TestToneController , ThruZeroController , TrackerController
- getParamValueByString() : TalkBoxController , RePsychoController , AGainController , BandistoController , BeatBoxController , LoudnessController , DegradeController , DelayController , DetuneController , DitherController , DubDelayController , DynamicsController , EPianoController , JX10Controller , LeslieController , LimiterController , MultiBandController , OverdriveController , PianoController , RezFilterController , RingModController , RoundPanController , ShepardController , SplitterController , StereoController , SubSynthController , TestToneController , ThruZeroController , TrackerController
- getPhysicalUIMapping() : HostCheckerController , Controller
- getPitchName() : PitchNamesDataBrowserSource
- getPrecision() : ProxyParameter
- getPrefetchableSupport() : Plug , HostCheckerProcessor
- getProcessContextRequirements() : HostCheckerProcessor
- getProgramListCount() : BaseController
- getProgramListInfo() : BaseController
- getProgramName() : BaseController
- getProxy() : ProxyParameter
- getRoutingInfo() : HostCheckerProcessor
- getSampleRate() : BaseController , Processor , VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage >
- getSavedSize() : HostCheckerController
- getSize() : BrownNoise< SamplePrecision >
- getState() : AGainController , Plug , AGain , ADelayProcessor , HostCheckerController , HostCheckerProcessor , Processor , Plug , SyncDelayProcessor , Processor , Plug , GlobalParameterState , Plug , ControllerWithUI
- getTailSamples() : HostCheckerProcessor
- getTest() : TestSuite
- getTestCount() : TestSuite
- getTestSuite() : TestSuite
- getUnitByBus() : HostCheckerController , PitchNamesController , PlugController
- getUnitCount() : HostCheckerController
- getUnitID() : ProxyParameter
- getVoice() : VoiceProcessorImplementation< Precision, VoiceClass, numChannels, maxVoices, GlobalParameterStorage >
- getVst2UniqueId() : StereoProcessor , ThruZeroProcessor , BandistoProcessor , LoudnessProcessor , LimiterProcessor , RePsychoProcessor , DelayProcessor , DeEsserProcessor , SubSynthProcessor , TestToneProcessor , DynamicsProcessor , OverdriveProcessor , PianoProcessor , ImageProcessor , ShepardProcessor , TrackerProcessor , Processor , EPianoProcessor , TalkBoxProcessor , RezFilterProcessor , RingModProcessor , BeatBoxProcessor , DitherProcessor , SpecMeterProcessor , AmbienceProcessor , ComboProcessor , JX10Processor , LeslieProcessor , RoundPanProcessor , DX10Processor , DegradeProcessor , DubDelayProcessor , SplitterProcessor , MultiBandProcessor , DetuneProcessor
- getXmlRepresentationStream() : HostCheckerController
- glide : JX10Processor
- glidedisp : JX10Processor
- globalParameters : VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage >

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.